Class | RSS::TrackBackModel10::Ping
In: | rss/trackback.rb
Parent: | Element

### Methods

full_name new required_prefix required_uri to_s

### Included Modules

RSS10

### External Aliases

resource | -> | value
resource= | -> | value=

### Public Class methods

new(resource=nil)

[Source]

    # File rss/trackback.rb, line 134
          def initialize(resource=nil)
            super()
            @resource = resource
          end

required_prefix()

[Source]

    # File rss/trackback.rb, line 115
            def required_prefix
              TRACKBACK_PREFIX
            end

required_uri()

[Source]

    # File rss/trackback.rb, line 119
            def required_uri
              TRACKBACK_URI
            end

### Public Instance methods

full_name()

[Source]

    # File rss/trackback.rb, line 139
          def full_name
            tag_name_with_prefix(TRACKBACK_PREFIX)
          end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/trackback.rb, line 143
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent)
            rv = convert(rv) if need_convert
            rv
          end

[Validate]